Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ScaleAffector::CmdScaleAdjust Class Reference

Command object for scale adjust (see ParamCommand). More...

`#include <OgreScaleAffector.h>`

Inheritance diagram for Ogre::ScaleAffector::CmdScaleAdjust:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for scale adjust (see ParamCommand).

Definition at line 45 of file OgreScaleAffector.h.

## Member Function Documentation

String Ogre::ScaleAffector::CmdScaleAdjust::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 97 of file OgreScaleAffector.cpp. References Ogre::ScaleAffector::getAdjust(), and Ogre::String.

void Ogre::ScaleAffector::CmdScaleAdjust::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 102 of file OgreScaleAffector.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreScaleAffector.h
- OgreScaleAffector.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:02 2004